Index: /mods/wpsg_mod_export.class.php
===================================================================
--- /mods/wpsg_mod_export.class.php	(revision 7799)
+++ /mods/wpsg_mod_export.class.php	(revision 7804)
@@ -1719,66 +1722,66 @@
 						O.`id` = '".wpsg_q($o_id)."'
 				");
-				
-				// Anzahl an tatsÃ€chlich bestellten Artikeln
-				$order['menge'] = $this->db->fetchOne("SELECT SUM(OP.`menge`) FROM `".WPSG_TBL_ORDERPRODUCT."` AS OP WHERE OP.`o_id` = '".wpsg_q($order['id'])."'");
-				
+
+                // Anzahl an tatsÃ€chlich bestellten Artikeln
+                $order['menge'] = $this->db->fetchOne("SELECT SUM(OP.`menge`) FROM `".WPSG_TBL_ORDERPRODUCT."` AS OP WHERE OP.`o_id` = '".wpsg_q($order['id'])."'");
+
                 $order['oOrder'] = wpsg_order::getInstance($order['id']);
-                
-				// Anzahl an Produkten in der Bestellung (MengenunabhÃ€ngig)
-				$order['count'] = $this->db->fetchOne("SELECT COUNT(*) FROM `".WPSG_TBL_ORDERPRODUCT."` WHERE `o_id` = '".wpsg_q($order['id'])."'");
-				
-				$order['payment_method'] = $order['oOrder']->getPaymentLabel();
-				$order['shipping_method'] = $order['oOrder']->getShippingLabel();
-				
-				$order['custom_data'] = unserialize($order['custom_data']);
-				
-				if ($this->shop->hasMod('wpsg_mod_rechnungen'))
-				{
-					
-					$last_invoice = $this->db->fetchRow("SELECT * FROM `".WPSG_TBL_RECHNUNGEN."` WHERE `o_id` = '".wpsg_q($order['id'])."' AND `rnr` != '' ORDER BY `datum` DESC LIMIT 1 ");
-					$last_storno = $this->db->fetchRow("SELECT * FROM `".WPSG_TBL_RECHNUNGEN."` WHERE `o_id` = '".wpsg_q($order['id'])."' AND `gnr` != '' ORDER BY `datum` DESC LIMIT 1 ");
-					$last = $this->db->fetchRow("SELECT * FROM `".WPSG_TBL_RECHNUNGEN."` WHERE `o_id` = '".wpsg_q($order['id'])."' ORDER BY `datum` DESC LIMIT 1 ");
-					
-					$order['gnr'] = '--';
-					$order['rnr'] = '--';
-					$order['rdatum'] = '--'; 
-					
-					if (wpsg_isSizedInt($last_invoice['id']))
-					{
-						
-						$order['rnr'] = $last_invoice['rnr'];
-						$order['rdatum'] = $last_invoice['datum'];
-						
-					}
-					
-					if (wpsg_isSizedInt($last_storno['id']) && $last['id'] === $last_storno['id'])
-					{
-						
-						$order['gnr'] = $last_storno['gnr']; 
-						$order['rdatum'] = $last_storno['datum'];
-						
-					}
-										
-				}
-				
-				/* Bestellvariablen */
-				if ($this->shop->hasMod('wpsg_mod_ordervars'))
-				{
-					
-					$order['bvars'] = @unserialize($order['bvars']);
-					
-				}
-				
-				/* Produktvariablen */
-				if ($this->shop->hasMod('wpsg_mod_productvars'))
-				{
-					
-					$order['pvars'] = @unserialize($order['pvars']);
-					
-				}
-				
-				if ($customer_id !== false) $order['k_id'] = $customer_id;
-								
-				$kunde = $this->db->fetchRow("
+
+                // Anzahl an Produkten in der Bestellung (MengenunabhÃ€ngig)
+                $order['count'] = $this->db->fetchOne("SELECT COUNT(*) FROM `".WPSG_TBL_ORDERPRODUCT."` WHERE `o_id` = '".wpsg_q($order['id'])."'");
+
+                $order['payment_method'] = $order['oOrder']->getPaymentLabel();
+                $order['shipping_method'] = $order['oOrder']->getShippingLabel();
+
+                $order['custom_data'] = unserialize($order['custom_data']);
+
+                if ($this->shop->hasMod('wpsg_mod_rechnungen'))
+                {
+
+                    $last_invoice = $this->db->fetchRow("SELECT * FROM `".WPSG_TBL_RECHNUNGEN."` WHERE `o_id` = '".wpsg_q($order['id'])."' AND `rnr` != '' ORDER BY `datum` DESC LIMIT 1 ");
+                    $last_storno = $this->db->fetchRow("SELECT * FROM `".WPSG_TBL_RECHNUNGEN."` WHERE `o_id` = '".wpsg_q($order['id'])."' AND `gnr` != '' ORDER BY `datum` DESC LIMIT 1 ");
+                    $last = $this->db->fetchRow("SELECT * FROM `".WPSG_TBL_RECHNUNGEN."` WHERE `o_id` = '".wpsg_q($order['id'])."' ORDER BY `datum` DESC LIMIT 1 ");
+
+                    $order['gnr'] = '--';
+                    $order['rnr'] = '--';
+                    $order['rdatum'] = '--';
+
+                    if (wpsg_isSizedInt($last_invoice['id']))
+                    {
+
+                        $order['rnr'] = $last_invoice['rnr'];
+                        $order['rdatum'] = $last_invoice['datum'];
+
+                    }
+
+                    if (wpsg_isSizedInt($last_storno['id']) && $last['id'] === $last_storno['id'])
+                    {
+
+                        $order['gnr'] = $last_storno['gnr'];
+                        $order['rdatum'] = $last_storno['datum'];
+
+                    }
+
+                }
+
+                /* Bestellvariablen */
+                if ($this->shop->hasMod('wpsg_mod_ordervars'))
+                {
+
+                    $order['bvars'] = @unserialize($order['bvars']);
+
+                }
+
+                /* Produktvariablen */
+                if ($this->shop->hasMod('wpsg_mod_productvars'))
+                {
+
+                    $order['pvars'] = @unserialize($order['pvars']);
+
+                }
+
+                if ($customer_id !== false) $order['k_id'] = $customer_id;
+
+                $kunde = $this->db->fetchRow("
 					SELECT
 						K.*							
@@ -1788,12 +1791,12 @@
 						K.`id` = '".wpsg_q($order['k_id'])."'
 				");
-				
-				/* Kundenvariablen */
-				$kunde['kv'] = @unserialize($kunde['custom']);
-								
-				if ($p_id == false)
-				{
-					
-					$arProdukte = $this->db->fetchAssoc("
+
+                /* Kundenvariablen */
+                $kunde['kv'] = @unserialize($kunde['custom']);
+
+                if ($p_id == false)
+                {
+
+                    $arProdukte = $this->db->fetchAssoc("
 						SELECT
 							P.*,
@@ -1808,35 +1811,35 @@
 							OP.`o_id` = '".wpsg_q($o_id)."'
 					");
-					
-					$produkt = array();
-					
-					foreach ($arProdukte as $p)
-					{
-					
-						foreach ($p as $col_name => $col_value)
-						{
-
-							$produkt[$col_name][] = $col_value;
-							
-						}
-						
-					}
-
-					foreach ($produkt as $col_name => $values)
-					{
-						
-						if ($profil_separator == ',') $produkt[$col_name] = implode(";", $values);
-						else $produkt[$col_name] = implode(",", $values);
-						
-					}
-					
-				}
-				else
-				{
-					
-					if (wpsg_isSizedInt($order_product_id))
-					{
-						 
-						$produkt = $this->db->fetchRow("
+
+                    $produkt = array();
+
+                    foreach ($arProdukte as $p)
+                    {
+
+                        foreach ($p as $col_name => $col_value)
+                        {
+
+                            $produkt[$col_name][] = $col_value;
+
+                        }
+
+                    }
+
+                    foreach ($produkt as $col_name => $values)
+                    {
+
+                        if ($profil_separator == ',') $produkt[$col_name] = implode(";", $values);
+                        else $produkt[$col_name] = implode(",", $values);
+
+                    }
+
+                }
+                else
+                {
+
+                    if (wpsg_isSizedInt($order_product_id))
+                    {
+
+                        $produkt = $this->db->fetchRow("
 							SELECT
 								P.*,
@@ -1851,10 +1854,10 @@
 								OP.`id` = '".wpsg_q($order_product_id)."'
 						");
-					 
-					}
-					else
-					{
-						
-						$produkt = $this->db->fetchRow("
+
+                    }
+                    else
+                    {
+
+                        $produkt = $this->db->fetchRow("
 							SELECT
 								P.*,							
@@ -1869,12 +1872,12 @@
 								P.`id` = '".wpsg_q($p_id)."'
 						");
-						
-					}
-					
-					/* Produktattribute */
-					if ($this->shop->hasMod('wpsg_mod_produktattribute'))
-					{
-						
-						$produkt['mod_attribute'] = $this->db->fetchAssocField("
+
+                    }
+
+                    /* Produktattribute */
+                    if ($this->shop->hasMod('wpsg_mod_produktattribute'))
+                    {
+
+                        $produkt['mod_attribute'] = $this->db->fetchAssocField("
 							SELECT
 								`a_id`, `value`
@@ -1884,132 +1887,132 @@
 								PA.`p_id` = '".wpsg_q($produkt['id'])."'								
 						", "a_id", "value");
-						
-					}
-					
-				}
-
-				$this->arCache[$cache_key] = array(
-					"order" => $order,
-					"produkt" => $produkt,
-					"kunde" => $kunde
-				);
-				
-			}
-			
-			if (wpsg_isSizedInt($order['land']))
-			{
-				
-				$oFrontendCountry = wpsg_country::getInstance($order['land']);
-								
-			}
-			else
-			{
-				
-				$oFrontendCountry = $this->shop->getDefaultCountry();
-				
-			}
-			
-			// Objekte laden 
-			 
-			/** @var wpsg_order $oOrder */
-			$oOrder = wpsg_order::getInstance($order['id']);
-			
-			if ($customer_id !== false) $oCustomer = wpsg_customer::getInstance($customer_id);
-			else $oCustomer = $oOrder->getCustomer();
- 
-			if ($p_id !== false) {
-			    			    
-			    $oProduct = wpsg_product::getInstance($p_id);
-			                                    
-            }
-                        			
-			switch ($field_value)
-			{
-				
-				case 'allgemein_empty': $return = ''; break;
-				case 'allgemein_statisch': $return = $f['static']; break;
-				case 'allgemein_currency': $return = get_option('wpshopgermany_currency'); break; 
-								
-				case 'order_id': $return = $order['id']; break; 
-				case 'order_cdate': 
-					
-					if (strtotime($order['cdate']) !== false)
-					{
-						$return = date('d.m.Y H:i:s', strtotime($order['cdate']));
-					}
-					else
-					{
-						$return = '--';
-					}
-					
-					break;
-				case 'order_onr': $return = $order['onr']; break;
-				case 'order_bemerkung': $return = preg_replace('/\r\n|\r|\n/', ' ', $order['comment']); break;
-				case 'order_price':
-					
-					$return = $order['price_gesamt_brutto'];
-					 
-					break;
-					
-				case 'order_price_netto':
-					
-					$return = $order['price_gesamt_netto'];						
-					
-					break;
-					
-				case 'order_shipping': $return = number_format($order['price_shipping'], 2, ',', '.'); break;
-				case 'order_payment': $return = number_format($order['price_payment'], 2, ',', '.'); break;	
-				case 'order_useragent':	$return = $order['useragent']; break;
-				case 'order_ip': $return = $order['ip']; break;
-				
-				case 'order_invoice_title': $return = $oOrder->getInvoiceTitle(); break;
-				case 'order_invoice_firma': $return = $oOrder->getInvoiceCompany(); break;
-				case 'order_invoice_vorname': $return = $oOrder->getInvoiceFirstName(); break;
-				case 'order_invoice_name': $return = $oOrder->getInvoiceName(); break;
-				case 'order_invoice_strasse': $return = $oOrder->getInvoiceStreet(); break;
-				case 'order_invoice_strasse_strasse': $return = $oOrder->getInvoiceStreetClear(); break;
-				case 'order_invoice_strasse_nr': $return = $oOrder->getInvoiceStreetNr(); break;
-				case 'order_invoice_plz': $return = $oOrder->getInvoiceZip(); break; 
-				case 'order_invoice_ort': $return = $oOrder->getInvoiceCity(); break;
-				case 'order_invoice_land': $return = $oOrder->getInvoiceCountryName(); break;
-				case 'order_invoice_land_krzl': $return = $oOrder->getInvoiceCountryKuerzel(); break;
-				case 'order_invoice_tel': $return = $oOrder->getInvoicePhone(); break;
-				case 'order_invoice_fax': $return = $oOrder->getInvoiceFax(); break;
-				
+
+                    }
+
+                }
+
+                $this->arCache[$cache_key] = array(
+                    "order" => $order,
+                    "produkt" => $produkt,
+                    "kunde" => $kunde
+                );
+
+            }
+
+            if (wpsg_isSizedInt($order['land']))
+            {
+
+                $oFrontendCountry = wpsg_country::getInstance($order['land']);
+
+            }
+            else
+            {
+
+                $oFrontendCountry = $this->shop->getDefaultCountry();
+
+            }
+
+            // Objekte laden 
+
+            /** @var wpsg_order $oOrder */
+            $oOrder = wpsg_order::getInstance($order['id']);
+
+            if ($customer_id !== false) $oCustomer = wpsg_customer::getInstance($customer_id);
+            else $oCustomer = $oOrder->getCustomer();
+
+            if ($p_id !== false) {
+
+                $oProduct = wpsg_product::getInstance($p_id);
+
+            }
+
+            switch ($field_value)
+            {
+
+                case 'allgemein_empty': $return = ''; break;
+                case 'allgemein_statisch': $return = $f['static']; break;
+                case 'allgemein_currency': $return = get_option('wpshopgermany_currency'); break;
+
+                case 'order_id': $return = $order['id']; break;
+                case 'order_cdate':
+
+                    if (strtotime($order['cdate']) !== false)
+                    {
+                        $return = date('d.m.Y H:i:s', strtotime($order['cdate']));
+                    }
+                    else
+                    {
+                        $return = '--';
+                    }
+
+                    break;
+                case 'order_onr': $return = $order['onr']; break;
+                case 'order_bemerkung': $return = preg_replace('/\r\n|\r|\n/', ' ', $order['comment']); break;
+                case 'order_price':
+
+                    $return = $order['price_gesamt_brutto'];
+
+                    break;
+
+                case 'order_price_netto':
+
+                    $return = $order['price_gesamt_netto'];
+
+                    break;
+
+                case 'order_shipping': $return = number_format($order['price_shipping'], 2, ',', '.'); break;
+                case 'order_payment': $return = number_format($order['price_payment'], 2, ',', '.'); break;
+                case 'order_useragent':	$return = $order['useragent']; break;
+                case 'order_ip': $return = $order['ip']; break;
+
+                case 'order_invoice_title': $return = $oOrder->getInvoiceTitle(); break;
+                case 'order_invoice_firma': $return = $oOrder->getInvoiceCompany(); break;
+                case 'order_invoice_vorname': $return = $oOrder->getInvoiceFirstName(); break;
+                case 'order_invoice_name': $return = $oOrder->getInvoiceName(); break;
+                case 'order_invoice_strasse': $return = $oOrder->getInvoiceStreet(); break;
+                case 'order_invoice_strasse_strasse': $return = $oOrder->getInvoiceStreetClear(); break;
+                case 'order_invoice_strasse_nr': $return = $oOrder->getInvoiceStreetNr(); break;
+                case 'order_invoice_plz': $return = $oOrder->getInvoiceZip(); break;
+                case 'order_invoice_ort': $return = $oOrder->getInvoiceCity(); break;
+                case 'order_invoice_land': $return = $oOrder->getInvoiceCountryName(); break;
+                case 'order_invoice_land_krzl': $return = $oOrder->getInvoiceCountryKuerzel(); break;
+                case 'order_invoice_tel': $return = $oOrder->getInvoicePhone(); break;
+                case 'order_invoice_fax': $return = $oOrder->getInvoiceFax(); break;
+
                 case 'order_title': $return = $oOrder->getShippingTitle(); break;
-                case 'order_firma': $return = $oOrder->getShippingCompany(); break;                    
-				case 'order_vorname': $return = $oOrder->getShippingFirstName(); break;
-				case 'order_name': $return = $oOrder->getShippingName(); break;
-				case 'order_strasse': $return = $oOrder->getShippingStreet(); break;
+                case 'order_firma': $return = $oOrder->getShippingCompany(); break;
+                case 'order_vorname': $return = $oOrder->getShippingFirstName(); break;
+                case 'order_name': $return = $oOrder->getShippingName(); break;
+                case 'order_strasse': $return = $oOrder->getShippingStreet(); break;
                 case 'order_strasse_strasse': $return = $oOrder->getShippingStreetClear(); break;
                 case 'order_strasse_nr': $return = $oOrder->getShippingStreetNr(); break;
                 case 'order_plz': $return = $oOrder->getShippingZip(); break;
-				case 'order_ort': $return = $oOrder->getShippingCity(); break;
-				case 'order_land': $return = $oOrder->getShippingCountryName(); break;
-				case 'order_land_krzl': $return = $oOrder->getShippingCountryKuerzel(); break;
-								
+                case 'order_ort': $return = $oOrder->getShippingCity(); break;
+                case 'order_land': $return = $oOrder->getShippingCountryName(); break;
+                case 'order_land_krzl': $return = $oOrder->getShippingCountryKuerzel(); break;
+
                 case 'order_payment_method': $return = $order['payment_method']; break;
-				case 'order_shipping_method': $return = $order['shipping_method']; break;				
-				case 'order_count': $return = $order['count']; break;
-				case 'order_firma': $return = $order['shipping_firma']; break;
-				case 'order_status': $return = $this->shop->arStatus[$order['status']]; break;
-				case 'order_bname': $return = $order['mod_autodebit_name']; break;
-				case 'order_bblz': $return = $order['mod_autodebit_blz']; break;
-				case 'order_binhaber': $return = $order['mod_autodebit_inhaber']; break;
-				case 'order_menge': $return = $order['menge']; break;
-				case 'order_bnr': $return = $order['mod_autodebit_knr']; break;
-				case 'order_iban': $return = $order['mod_autodebit_iban']; break;
-				case 'order_bic': $return = $order['mod_autodebit_bic']; break;
-				case 'order_weight': $return = $order['weight']; break;
-				case 'order_gutschein': 
-										
-					if (wpsg_isSizedInt($order['gs_id'])) {
-					
-						// AbwÃ€rtskompatibilitÃ€t fÃŒr alte Bestellungen						
-						$return = $this->db->fetchOne("SELECT `code` FROM `".WPSG_TBL_GUTSCHEIN."` WHERE `id` = '".wpsg_q($order['gs_id'])."'");
-						
-					} else {
-						
-						$return = $this->db->fetchOne("
+                case 'order_shipping_method': $return = $order['shipping_method']; break;
+                case 'order_count': $return = $order['count']; break;
+                case 'order_firma': $return = $order['shipping_firma']; break;
+                case 'order_status': $return = $this->shop->arStatus[$order['status']]; break;
+                case 'order_bname': $return = $order['mod_autodebit_name']; break;
+                case 'order_bblz': $return = $order['mod_autodebit_blz']; break;
+                case 'order_binhaber': $return = $order['mod_autodebit_inhaber']; break;
+                case 'order_menge': $return = $order['menge']; break;
+                case 'order_bnr': $return = $order['mod_autodebit_knr']; break;
+                case 'order_iban': $return = $order['mod_autodebit_iban']; break;
+                case 'order_bic': $return = $order['mod_autodebit_bic']; break;
+                case 'order_weight': $return = $order['weight']; break;
+                case 'order_gutschein':
+
+                    if (wpsg_isSizedInt($order['gs_id'])) {
+
+                        // AbwÃ€rtskompatibilitÃ€t fÃŒr alte Bestellungen						
+                        $return = $this->db->fetchOne("SELECT `code` FROM `".WPSG_TBL_GUTSCHEIN."` WHERE `id` = '".wpsg_q($order['gs_id'])."'");
+
+                    } else {
+
+                        $return = $this->db->fetchOne("
 							SELECT
 								GROUP_CONCAT(`code`)
@@ -2021,29 +2024,29 @@
 								`order_id`
 						");
-							
-					}
-						
-					break;
-				
-				case 'rechnung_nr': $return = $order['rnr']; break;
-				case 'rechnungskorrektur_nr':
-				case 'gutschrift_nr': 
-					$return = $order['gnr']; break;
-				case 'rdatum': 
-					
-					if (strtotime($order['rdatum']) !== false)
-					{
-						$return = date('d.m.Y H:i:s', strtotime($order['rdatum']));
-					}
-					else
-					{
-						$return = '--';
-					} 
-					
-					break;				
-								
-				case 'produkt_id': $return = $produkt['id']; break;
-				case 'produkt_index': $return = $product_index; break; 
-				case 'produkt_name': $return = $produkt['name']; break;
+
+                    }
+
+                    break;
+
+                case 'rechnung_nr': $return = $order['rnr']; break;
+                case 'rechnungskorrektur_nr':
+                case 'gutschrift_nr':
+                    $return = $order['gnr']; break;
+                case 'rdatum':
+
+                    if (strtotime($order['rdatum']) !== false)
+                    {
+                        $return = date('d.m.Y H:i:s', strtotime($order['rdatum']));
+                    }
+                    else
+                    {
+                        $return = '--';
+                    }
+
+                    break;
+
+                case 'produkt_id': $return = $produkt['id']; break;
+                case 'produkt_index': $return = $product_index; break;
+                case 'produkt_name': $return = $produkt['name']; break;
                 case 'product_url': $return = $this->shop->getProduktLink($produkt); break;
                 case 'product_picture_url':
@@ -2051,7 +2054,7 @@
                     $nAttachmentID = $this->shop->imagehandler->getAttachmentID($produkt['id']);
                     $return = '';
-                    
+
                     if (wpsg_isSizedInt($nAttachmentID)) $return = \wp_get_attachment_url($nAttachmentID);
-                    
+
                     break;
                 /*case 'product_shippingprice':
